Subject: bug#583: Use XDG basedir spec for configuration files?

From: Paul Eggert <[email-masked]>
Date: Sat, 31 Aug 2019 19:02:01 -0700

Glenn Morris wrote:
> IMO this means one should allow a user-defined user-emacs-directory,
> which means un-wontfix'ing https://debbugs.gnu.org/15539  .

Thanks for mentioning that. I followed up in that bug report, here:

https://bugs.gnu.org/15539#109

By the way, making user-emacs-directory a variable instead of a constant has its 
downsides, because if a user changes user-emacs-directory, then a lot of other 
variables will keep their old values derived from the previous value of 
user-emacs-directory, leading to a confusing mish-mosh of old and new behavior. 
Changing user-emacs-directory works coherently only if it's done very early in 
startup (which is all that Bug#15539 was asking for).